/*---------- 共通 ---------------*/
:root {
  --red: #e84310;
  --orange: #ef8220;
  --brown: #8c5535;
  --beige: #fff1c2;
  --white01: #fafaf2;
}
body {
  font-family: "Zen Kaku Gothic New", sans-serif !important;
  font-style: normal;
}
h1,
h2,
h3,
h4,
h5,
h6,
.page-header-title {
  font-family: "Zen Kaku Gothic New", sans-serif !important;
  font-style: normal;
}
body p {
  font-weight: 500;
}

/* 固定予約ボタン */
.scrolled .page_top_btn {
  display: none;
}

.sp-fixed-entry {
  position: fixed;
  display: flex;
  flex-direction: column;
  align-items: center;
  right: 12px;
  bottom: 12px;
  z-index: 9999;
  color: var(--red);
  opacity: 0;
  visibility: hidden;
  transform: translateY(20px);
  transition: .3s;
}

.sp-fixed-entry.is-show {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}
.sp-fixed-entry__image {
  position: relative;
  width: 70px;
  top: 48px;
  z-index: 1;
  animation: shake-up-fixed-button 3s infinite ease-in-out;
}

@keyframes shake-up-fixed-button {
  0%,
  100% {
    transform: translateY(-50%);
  }
  50% {
    transform: translateY(calc(-50% + 8px));
  }
}
.sp-fixed-entry__bg-img {
  position: relative;
  width: 140px;
}
.sp-fixed-entry__text {
  width: 100%;
  position: absolute;
  display: flex;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  gap: 5px;
  font-weight: 600;
}
.sp-fixed-entry__text .entry-sub {
  font-size: 12px;
  line-height: 1.2;
}
.sp-fixed-entry__text .entry-main {
  font-size: 18px;
  line-height: 1.2;
}

@media screen and (min-width: 992px) {
  .sp-fixed-entry {
    display: none;
  }
}

/*-------- ヘッダー ------------*/
.site-header-logo img {
  max-height: 115px !important;
}
.global-nav-list > li:before {
  display: none !important;
}
.global-nav-list > li .global-nav-name {
  font-size: 18px !important;
}
header.nav li:not(:last-child) a:hover,
nav li:not(:last-child) a:hover {
  color: var(--red);
  transition: color 0.3s ease;
}
.global-nav-list {
  align-items: center !important;
}
@media screen and (max-width: 992px) {
  .site-header-logo img {
    max-height: 10vw !important;
  }
  .site-header {
    position: fixed !important;
  }
  .header_scrolled .site-header-logo {
    display: block !important;
  }
  .header_scrolled .site-header {
    position: fixed !important;
    height: 14.63vw !important;
  }
  .header_scrolled.admin-bar .site-header {
    top: var(--vk-size-admin-bar) !important;
  }
  .header_scrolled .site-header-logo {
    display: block;
  }
  .site-header + * {
    margin-top: 66px !important;
  }
}
@media screen and (max-width: 768px) {
  .site-header-logo img {
    max-height: 20vw !important;
  }
  .header_scrolled .site-header {
    height: 26.66vw !important;
  }
}

/* アコーディオン */
.vk-mobile-nav {
  background-color: var(--beige) !important;
  padding-left: 4.26vw !important;
  padding-right: 4.26vw !important;
  overflow: hidden;
}
.vk-mobile-nav::before {
  content: "";
  position: absolute;
  right: -70%;
  top: 53%;
  transform: translateY(-50%);
  width: 130%;
  aspect-ratio: 2 / 1;
  background-image: url("/wp-content/uploads/2026/07/town.webp");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  animation: nav-shake-up-town 6s infinite ease-in-out;
}

@keyframes nav-shake-up-town {
  0%,
  100% {
    transform: translateY(-50%);
  }
  50% {
    transform: translateY(calc(-50% + 20px));
  }
}
.menu-sp__logo {
  width: 70%;
  max-width: 400px;
}

.vk-mobile-nav nav ul li::before {
  content: "";
  position: absolute;
  left: 0px;
  top: 50%;
  transform: translateY(-50%);
  width: clamp(27px, 9.33vw, 30px);
  aspect-ratio: 1 / 1;
  background-image: url("/wp-content/uploads/2026/07/arrow-red.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.vk-mobile-nav nav ul li a {
  padding-left: clamp(40px, 11.2vw, 45px) !important;
  border-bottom: inherit !important;
  font-size: clamp(20px, 5.6vw, 22px) !important;
  font-weight: 500;
}
.vk-mobile-nav nav > ul {
  border-top: inherit !important;
}
.menu-sp__sns-text {
  font-size: clamp(18px, 5vw, 20px);
}
.vk-mobile-nav-menu-btn {
  border-radius: 50% !important;
  width: 50px !important;
  height: 50px !important;
  background-image: url("/wp-content/uploads/2026/07/menu-open.svg") !important;
  background-size: 24px !important;
  border: 2px solid var(--brown) !important;
  background-color: #fff !important;
}
.vk-mobile-nav-menu-btn.menu-open {
  background-image: url("/wp-content/uploads/2026/07/menu-close.svg") !important;
  background-size: 20px !important;
}
@media screen and (max-width: 991.8px) {
  li.button-reservation {
    display: none !important;
  }
  .vk-mobile-nav-menu-btn {
    top: 30px !important;
    right: 35px !important;
  }
}
@media screen and (max-width: 768px) {
  .vk-mobile-nav-menu-btn {
    right: 15px !important;
  }
  .vk-mobile-nav-menu-btn.position-right {
  }
}

/* ボタン */

li.button-reservation,
div.button-reservation {
  list-style: none;
  display: block;
  width: 260px;
}

.button-reservation a {
  position: relative;
  display: flex !important;
  align-items: center;
  justify-content: center;
  width: 100%;
  min-height: 54px;
  padding: 10px 0px !important;
  background: var(--red);
  color: #ffffff !important;
  font-size: 16px;
  font-weight: bold;
  text-decoration: none;
  text-align: center;
  border-radius: 9999px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease;
  box-sizing: border-box;
  overflow: visible !important;
  border: 2px solid var(--brown);
}
.button-reservation a::before {
  content: "";
  position: absolute;
  left: -12px;
  top: 10%;
  transform: translateY(-50%);
  width: 104px;
  aspect-ratio: 2 / 1;
  background-image: url("/wp-content/uploads/2026/07/button-ufo.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.button-reservation a::after {
  content: "";
  position: absolute;
  right: 9px;
  top: 50%;
  transform: translateY(-50%);
  width: 20px;
  height: 20px;
  background-image: url("/wp-content/uploads/2026/07/button-external-link.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.button-reservation a:hover {
  background: var(--brown) !important;
  border-color: var(--brown) !important;
  transform: translateY(-2px);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
}

/* 通常予約ボタン */
.button-reservation.normal {
  width: 100% !important;
}
.button-reservation.normal a {
  flex-direction: column;
}
.button-reservation .button-reservation__main-text {
  font-size: clamp(20px, 5.4vw, 26px);
  font-weight: 600;
}
.button-reservation .button-reservation__sub-text {
  font-size: clamp(15px, 3.8vw, 19px);
  font-weight: 600;
  margin-bottom: 0.5vw;
}
.menu-sp__sns-text {
  margin-bottom: clamp(-15px, -3.8vw, -20px);
  font-weight: 600;
}

/* 詳しくはこちらボタン */
.button-detail {
  list-style: none;
  display: block;
}

.button-detail a {
  position: relative;
  display: flex !important;
  align-items: center;
  justify-content: center;
  width: 100%;
  min-height: 60px;
  padding: 10px 0px !important;
  background: #fff;
  color: var(--brown) !important;
  font-size: 20px;
  font-weight: bold;
  text-decoration: none;
  text-align: center;
  border-radius: 9999px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease;
  box-sizing: border-box;
}
.button-detail a::after {
  content: "";
  position: absolute;
  right: 17px;
  top: 50%;
  transform: translateY(-50%);
  width: 36px;
  aspect-ratio: 1 / 1;
  background-image: url("/wp-content/uploads/2026/07/arrow-brown.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  transition: transform 0.3s ease;
  display: inline-block;
}
.button-detail a:hover {
  color: var(--red) !important;
}
.button-detail a:hover::after {
  transform: translateY(-50%) translateX(6px);
  background-image: url("/wp-content/uploads/2026/07/arrow-red.svg");
}

/* セクションごと */
.section-wrapper {
  padding: 120px 30px;
}
@media screen and (max-width: 992px) {
  .section-wrapper {
    padding: 9.75vw 3.65vw;
  }
}
@media screen and (max-width: 768px) {
  .section-wrapper {
    padding: 18.66vw 0;
  }
}

/* フッター */
.site-footer {
  padding: 50px 10px 30px;
}
.site-footer .site-footer-content{
  padding-top: 0px;
}
.site-footer .site-logo img {
  width: 300px;
}
.site-footer .widget {
  margin-bottom: 0px;
}
.site-footer .main-list {
  display: flex;
  list-style: none;
  padding-left: 0 !important;
  font-size: 18px;
  font-weight: 500;
  margin-bottom: 0;
}
.site-footer .main-list li {
  padding-right: 15px;
}
.site-footer .sub-list {
  display: flex;
  list-style: none;
  padding-left: 0 !important;
  font-size: 16px;
  font-weight: 500;
  margin: 0;
}
.site-footer .sub-list li {
  padding-right: 15px;
}

@media screen and (max-width: 992px) {
  .site-footer {
    padding: 8.53vw 1.21vw 4.87vw;
  }
  .site-footer .site-logo img {
    width: 34.14vw;
  }
  .site-footer .main-list {
    font-size: 1.95vw;
  }
  .site-footer .main-list li {
    padding-right: 1.82vw;
  }
  .site-footer .sub-list {
    font-size: 1.7vw;
  }
  .site-footer .sub-list li {
    padding-right: 1.82vw;
  }
}
@media screen and (max-width: 768px) {
  .site-footer {
    padding: 8.53vw 1.21vw 4.87vw;
  }
  .site-footer .site-logo img {
    width: 60vw;
  }
  .site-footer .main-list {
    font-size: 4.8vw;
    flex-direction: column;
  }
  .site-footer .main-list li {
    padding-right: 0;
    margin-bottom: 0;
  }
  .site-footer .sub-list {
    font-size: 3.73vw;
    margin-top: 3.46vw;
  }
  .site-footer .sub-list li {
    padding-right: 0;
  }
}

/* ページヘッダー */

.page-header__wrapper .header-title{
  position: relative;
  width: fit-content; /* 親画像の大きさに自動で合わせる */
  margin: 50px auto;
}
.page-header__wrapper .header-title .title-image{
  display: block;
  width: clamp(280px, 34.14vw, 300px);
  height: auto;
}
.page-header__wrapper .header-title .title-image.about{
   width: clamp(500px, 60.97vw, 550px);
}
.page-header__wrapper .header-title .scatter-item{
  position: absolute;
}
.page-header__wrapper .header-title .scatter-item.illust1 {
  top: -70%;
  left: -30%;
  animation: shake-up-cloud 4s infinite ease-in-out;
  width: clamp(100px, 12.19vw, 150px);
}
.page-header__wrapper .header-title .scatter-item.illust1.about {
  left: -20%;
}

.page-header__wrapper .header-title .scatter-item.illust2 {
  bottom: 55%;
  left: -30%;
  animation: shake-up-bird 3s infinite ease-in-out;
  width: clamp(60px, 9.75vw, 90px);
}
.page-header__wrapper .header-title .scatter-item.illust2.about{
  left: -18%;
}
.page-header__wrapper .header-title .scatter-item.illust3 {
  top: -150%;
  right: -30%;
  animation: shake-up-globe 3s infinite ease-in-out;
  width: clamp(40px, 7.31vw, 70px);
}
.page-header__wrapper .header-title .scatter-item.illust3.about{
  right: -15%;
}
/* .page-header__contents-column .illust1 {
  position: absolute;
  top: 0;
  animation: shake-up-cloud 4s infinite ease-in-out;
  width: clamp(200px, 15.625vw, 280px);
}

.page-header__contents-column .illust2 {
  position: absolute;
  bottom: 0;
  animation: shake-up-cloud 4s infinite ease-in-out;
  width: clamp(140px, 14.062vw, 200px);
}
.page-header__contents-column .illust3 {
  position: absolute;
  top: 80px;
  left: 50px;
  animation: shake-up-bird 3s infinite ease-in-out;
  width: clamp(80px, 7.81vw, 110px);
}
.page-header__contents-column .illust4 {
  position: absolute;
  top: 0px;
  right: 0px;
  animation: shake-up-globe 3s infinite ease-in-out;
  width: clamp(60px, 4.68vw, 70px);
} */
@keyframes shake-up-cloud {
  0%, 100% {
    transform: translate(-50%, -50%);
  }
  50% {
    transform: translate(-50%, calc(-50% + 30px));
  }
}

@keyframes shake-up-bird {
  0%, 100% {
    transform: translate(-50%, 50%);
  }
  50% {
    transform: translate(-50%, calc(50% + 10px));
  }
}

@keyframes shake-up-globe {
  0%, 100% {
    transform: translate(50%, 50%);
  }
  50% {
    transform: translate(50%, calc(50% + 20px));
  }
}
/* ページヘッダー */
@media screen and (max-width: 992px) {
  .page-header__wrapper .header-title{
  margin: 14.63vw auto 9.75vw;
}
}

@media screen and (max-width: 768px) {
  .page-header__wrapper .header-title{
  margin: 18.66vw auto 13.33vw;
}
.page-header__wrapper .header-title .title-image{
  width: 50%;
}
.page-header__wrapper .header-title .scatter-item.illust1 {
    top: -40%;
    left: 10%;
}
.page-header__wrapper .header-title .scatter-item.illust2 {
    bottom: -5%;
    left: 10%;
}
.page-header__wrapper .header-title .scatter-item.illust3 {
    top: -120%;
    right: 10%;
}
.page-header__wrapper .header-title .title-image.about{
      width: 72%;
}
.page-header__wrapper .header-title .scatter-item.illust1.about {
    top: -110%;
    left: 0%;
}
.page-header__wrapper .header-title .scatter-item.illust2.about {
    left: 3%;
}
.page-header__wrapper .header-title .scatter-item.illust3.about {
    right: 5%;
}
}
